%global pypi_name importlib_resources

%global desc \
importlib_resources is a backport of Python 3.10's standard library\
importlib.resources module for 3.9.


Name:           python-importlib-resources
Version:        5.0.7
Release:        1%{?dist}
Summary:        Read resources from Python packages

License:        ASL 2.0
URL:            https://importlib-resources.readthedocs.io/
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3.9dist(setuptools-scm[toml]) >= 3.4.1

%description %{desc}

%package -n     python3-importlib-resources
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%description -n python3-importlib-resources %{desc}

%package doc
Summary:        importlib_resources documentation
%description doc
Documentation for importlib_resources

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
# Don't ship docs sources or tests
rm -rf %{buildroot}/%{python3_sitelib}/%{pypi_name}/{docs,tests}/

%files -n python3-importlib-resources
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
